View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/subscriptionsapplication/json
application/json
curl -X GET "https://example.com/billing-plans/string"{ "id": "string", "name": "string", "description": "string", "type": "FIXED", "state": "CREATED", "create_time": "string", "update_time": "string", "payment_definitions": [ { "id": "string", "name": "string", "type": "TRIAL", "frequency_interval": "string", "frequency": "WEEK", "cycles": "string", "charge_models": [ { "id": "string", "type": "TAX", "amount": { "currency": "string", "value": "string" } } ], "amount": { "currency": "string", "value": "string" } } ], "terms": [ { "id": "string", "type": "MONTHLY", "occurrences": "string", "buyer_editable": "string", "max_billing_amount": { "currency": "string", "value": "string" }, "amount_range": { "currency": "string", "value": "string" } } ], "merchant_preferences": { "cancel_url": "http://example.com", "return_url": "http://example.com", "notify_url": "http://example.com", "max_fail_attempts": "0", "auto_bill_amount": "YES", "initial_fail_amount_action": "CONTINUE", "accepted_payment_type": "string", "char_set": "string", "setup_fee": { "currency": "string", "value": "string" } }, "links": [ { "href": "string", "rel": "string", "method": "GET" } ]}